<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class Property extends Model
{
    public static function table()
    {
        return 'ig_property';
    }

    public static function analyze($prop)
    {
        $return = null;
        $option = unserialize($prop['option']);
        if (1 == $prop['class'] && isset($option['amount']))
        {
            $return = '数量: ' . $option['amount'] .'/'.ilink('补货',url('system',array('s'=>'props','c'=>$prop['module'])));
        }
        else if (2 == $prop['class'] && isset($option['expire']))
        {
            if ($option['expire'] < $_SERVER['REQUEST_TIME'])
            {
                $return = '已过期，'.ilink('续费',url('system',array('s'=>'props','c'=>$prop['module']))).'？';
            }
            else if ($option['expire'] > $_SERVER['REQUEST_TIME'])
            {
                $return = '过期: ' . date('Y-m-d H:i:s', $option['expire']) . '<br/>还剩' . expireTime(date('Y-m-d H:i:s',$option['expire']));
            }
        }
        
        return $return;
    }
}